<?php

namespace bird\interfaces;

interface bird_voice_recordings_client_i
{
    public function createVoiceCallRecordingSession(string $workspaceId, string $channelId, string $callId, array $payload): array|object|null;

    public function listVoiceCallRecordings(string $workspaceId, string $channelId, string $callId, array $query = []): array|object|null;

    public function getVoiceCallRecording(string $workspaceId, string $channelId, string $callId, string $recordingId): array|object|null;

    public function updateVoiceCallRecording(string $workspaceId, string $channelId, string $callId, string $recordingId, array $payload): array|object|null;
}

